OpenVDB: IncompleteCholeskyPreconditioner< MatrixType > Class Template Reference

OpenVDB 6.1.0

Classes | Public Types | Public Member Functions | List of all members
IncompleteCholeskyPreconditioner< MatrixType > Class Template Reference

Preconditioner using incomplete Cholesky factorization. More...

`#include <ConjGradient.h>`

Inherits Preconditioner< MatrixType::ValueType >.

## Public Types
using | ValueType = typename MatrixType::ValueType
using | BaseType = Preconditioner< ValueType >
using | VectorType = Vector< ValueType >
using | Ptr = SharedPtr< IncompleteCholeskyPreconditioner >
using | TriangularMatrix = SparseStencilMatrix< ValueType, 4 >
using | TriangleConstRow = typename TriangularMatrix::ConstRow
using | TriangleRowEditor = typename TriangularMatrix::RowEditor

## Public Member Functions
| IncompleteCholeskyPreconditioner (const MatrixType &matrix)
| ~IncompleteCholeskyPreconditioner () override=default
bool | isValid () const override
void | apply (const Vector< ValueType > &rVec, Vector< ValueType > &zVec) override
| Apply this preconditioner to a residue vector: z = M−1r More...
const TriangularMatrix & | lowerMatrix () const
const TriangularMatrix & | upperMatrix () const

## Detailed Description

### template<typename MatrixType>
class openvdb::v6_1::math::pcg::IncompleteCholeskyPreconditioner< MatrixType >

Preconditioner using incomplete Cholesky factorization.

## Member Typedef Documentation

## ◆ BaseType

using BaseType = Preconditioner<ValueType>

## ◆ Ptr

using Ptr = SharedPtr<IncompleteCholeskyPreconditioner>

## ◆ TriangleConstRow

using TriangleConstRow = typename TriangularMatrix::ConstRow

## ◆ TriangleRowEditor

using TriangleRowEditor = typename TriangularMatrix::RowEditor

## ◆ TriangularMatrix

using TriangularMatrix = SparseStencilMatrix<ValueType, 4>

## ◆ ValueType

using ValueType = typename MatrixType::ValueType

## ◆ VectorType

using VectorType = Vector<ValueType>

## Constructor & Destructor Documentation

## ◆ IncompleteCholeskyPreconditioner()

IncompleteCholeskyPreconditioner | ( | const MatrixType & | matrix | ) |
| inline

## ◆ ~IncompleteCholeskyPreconditioner()

~IncompleteCholeskyPreconditioner | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ apply()

void apply | ( | const Vector< ValueType > & | r,
|  | Vector< ValueType > & | z
| ) |  |
| inlineoverridevirtual

Apply this preconditioner to a residue vector: z = M−1r

Parameters

  | r | residue vector
  [out] | z | preconditioned residue vector

Implements Preconditioner< MatrixType::ValueType >.

## ◆ isValid()

bool isValid | ( |  | ) | const
| inlineoverridevirtual

Reimplemented from Preconditioner< MatrixType::ValueType >.

## ◆ lowerMatrix()

const TriangularMatrix& lowerMatrix | ( |  | ) | const
| inline

## ◆ upperMatrix()

const TriangularMatrix& upperMatrix | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- ConjGradient.h